Subject: ***SPAM*** 33.926 (5) Your girl can't keep her hands off you!

From: <[email-masked]>
Date: Thu, 31 Jan 2008 18:04:41 -0800

Your girl can't keep her hands off you! http://71.199.161.219/fgai/